<?php
include("connection.php");
include("frames_header.php");
?>
<?php
    if ( (!isset($_SESSION["login"]))or(!isset($_SESSION["pass"])) ) {
	    print "<center><strong>you need to <a href=\"login.php\">login</a> as an authorised curator to proceed.</strong>";
	    print '</center></body></html>';
	   include ("frames_footer.php");
		return;
	}
?>



<?php
	
	$name=$_GET["name"];
	//$name=strtoupper($name);
	if(strlen($name)==0){
	    print '<center><h2><strong>Missing parameter: Gene Name </strong></h2></center>';
		include("frames_footer.php");
		return;
	}

	$go=$_GET["GO"];
	if(strlen($go)==3){
	    print '<center><h2><strong>Missing parameter: GoID </strong></h2></center>';
		include("frames_footer.php");
		return;
	}
	
	$species=$_GET["species"];
	

//print $name;



	$requete="SELECT * from \"GO\" where \"GO_ID\"='$go'";
	$stmt=pg_query($c,$requete);

	
print "<center><h2>Do you realy want to remove annotation <i>$go</i> from <i>$name</i> ?</h2><center><br><br>";




print '<table width="99%" border="0" cellspacing="0" cellpadding="10">';
print '<tr align="left" valign=middle bgcolor="#990000"><td><strong>GO&nbsp;annotation</strong></td>
<td background="pictures/barre-red.jpg"></td></tr>';

print '<tr align="left" valign="middle">';

	while ($row=pg_fetch_array($stmt))
	{
	
	//print "<td align=left>GO id :</td><td>".$go."</td><tr align=\"center\" valign=\"middle\">";
	print "<td align=left><strong>GO Term:</strong></td><td>".$row["GO_TERM"]."</td><tr align=\"left\" valign=\"middle\">";
	print "<td align=left><strong>GO Type:</strong></td><td>".$row["GO_TYPE"]."</td><tr align=\"left\" valign=\"middle\">";
	print "<td align=left><strong>Definition:</strong></td><td>". $row["DEFINITION"]."</td>";


	}

print '</table>';

print "<hr>";

print "<br><br>";
print "<a href=\"go6.php?species=$species&name=$name&GO=".$go."\"><img border=\"0\" src=\"pictures/button-cur-validate.gif\"></a>&nbsp;&nbsp;&nbsp;";
print "<a href=\"go2.php?species=$species&name=$name&GO=".$go."\"><img border=\"0\" src=\"pictures/button-cur-delete.gif\"></a><br>";
//print '<img src="pictures/button-cur-delete.gif">';




?>



<?
include("frames_footer.php");
?>